# Copyright (C) 2010-2020, Josef Hahn
#
# This file is part of Ginger.
#
# Ginger is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Ginger is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ginger.  If not, see <http://www.gnu.org/licenses/>.

# Django settings for ginger project.

# WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING #
# WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING #

# If you find this file in a ginger installation (instead of the developer's
# source code), be aware of the fact that this file contains the factory
# default. Overriding values is possible by writing them to a
# settings_local.py file.

# WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING #
# WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING #

import os


DEBUG = True

ADMINS = ()

MANAGERS = ADMINS

SECRET_KEY = 'c628b1b3c0bdf2a3d14dbfcba1444f41'

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': '/tmp/ginger-db',
        'USER': 'ingwer',
        'PASSWORD': 'ingwer',
        'HOST': '',
        'PORT': '',
    }
}

TIME_ZONE = 'UTC'

LANGUAGE_CODE = 'en-us'

STATIC_URL = '/static/'
STATIC_ROOT = "/var/lib/ginger/static/"

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
)

ROOT_URLCONF = 'ginger.urls'

MY_DIR = os.path.abspath(os.path.dirname(__file__))

TEMPLATES = [
{
    'BACKEND': 'django.template.backends.django.DjangoTemplates',
    'DIRS': [MY_DIR + "/main/static"],
    'APP_DIRS': False,
    'OPTIONS': {
        'context_processors': [
            'django.template.context_processors.debug',
            'django.template.context_processors.request',
            'django.contrib.auth.context_processors.auth',
            'django.contrib.messages.context_processors.messages',
        ],
        'debug': DEBUG,
    },
},]

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.admin',
    'django.contrib.staticfiles',
    'ginger.main',
)

SUB_SITE = '/'

ALLOWED_HOSTS = ["*"]

# search for EXTERNAL_AUTH_HELPER in ginger manual
EXTERNAL_AUTH_HELPER = None  # '/foo/ginger/authhelper'

try:
    from .settings_local import *
except ImportError:
    pass
